Referência da APIMatches
Search matches across jobs
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
job_id?string
Default
""ruleset_id?string
Default
""dataset_id?string
Matches with at least one record of this dataset
Default
""status?array<>
Comma-separated statuses
Default
[]kind?array<>
Default
[]strategy?array<>
Default
[]step?string
Workflow step index
Default
""score_min?string
Default
""score_max?string
Default
""record?string
External id of a record in any dataset of the tenant
Length
length <= 200Default
""created_from?string
YYYY-MM-DD
Default
""created_to?string
YYYY-MM-DD
Default
""order?string
Value in
- "asc"
- "desc"
cursor?string
next_cursor from the previous page
Match
^\d+$limit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/matches"{ "data": [ { "id": -9007199254740991, "ruleset_id": "string", "status": "matched", "kind": "1:1", "strategy": "pair", "amount_diff": -9007199254740991, "expected_count": -9007199254740991, "score": 0, "step": -9007199254740991, "pass": -9007199254740991, "job_id": "string", "note": "string", "decided_at": "2019-08-24T14:15:22Z", "breakdown": { "property1": 0, "property2": 0 }, "left": [ { "dataset_id": "string", "record_id": -9007199254740991, "external_id": "string", "values": { "property1": null, "property2": null } } ], "right": [ { "dataset_id": "string", "record_id": -9007199254740991, "external_id": "string", "values": { "property1": null, "property2": null } } ], "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": -9007199254740991, "total": -9007199254740991, "total_capped": true}
